Query Global Guest Operating Systems
Retrieves all Guest Operating Systems globally.
Retrieves all the Guest Operating Systems available globally across all vCenters. The list includes only guest operating systems that are supported by the highest hardware version and deduplicated across all vCenters.
Request
URI
GET
https://{api_host}/cloudapi/v1/guestOperatingSystems
COPY
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
GuestOperatingSystems
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineGuestOperatingSystems1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"guestOsName": "string",
"guestOsDisplayName": "string",
"guestOsFamilyName": "string"
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/guestOperatingSystems?page=value&pageSize=v
Availability
Added in 9.1.0
On This Page
Guest Operating Systems Operations
GET
Query Global Guest Operating Systems